{% extends 'base.html.twig' %}

{% block extra_meta_balise %}
    {{ parent() }}
    <meta name="robots" content="noindex">
{% endblock %}

{% block content %}
<div class="container-fluid my-4">
    <div class="row my-4">
        <div class="col-12 col-lg-10 offset-lg-1">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="/"><i class="fa fa-home"></i></a></li>
                    <li class="breadcrumb-item"><a href="{{ path('pi_crud_list', {'type': 'event'}) }}">{{ 'pi_crud.list.title'|trans({'entity_label': 'event'}) }}</a></li>
                    <li class="breadcrumb-item"><a href="{{ path('pi_crud_show', {'type': 'event', 'id': event.id, 'slug': event.slug}) }}">{{ event }}</a></li>
                    <li class="breadcrumb-item active" aria-current="page">Inscription rapide</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row my-4">
        <div class="col-12 col-lg-10 offset-lg-1">
            <h1>Inscription de <span class="text-primary">{{ app.user.firstName ~ ' ' ~ app.user.lastName }}</span> à <span class="text-primary">{{ event.title }}</span></h1>
            <h3><small class="text-muted">Pour terminer votre inscription, veuillez compléter le formulaire ci-dessous</small></h3>

            <h4 class="text-balise">Événement</h4>
            <div class="mb-4">
                <table>
                    <tr><td class="font-weight-bold pr-4">Date</td><td>{{ event.dateBegin|format_datetime('full', 'medium', locale='fr')|capitalize }}</td></tr>
                    {% if event.dateEntries is not empty %}<tr><td class="font-weight-bold pr-4">Date limite d'inscription</td><td>{{ event.dateEntries|format_datetime('full', 'medium', locale='fr')|capitalize }}</td></tr>{% endif %}
                    {% if event.format is not empty %}<tr><td class="font-weight-bold pr-4">Type</td><td>{{ event.format.label|capitalize }}</td></tr>{% endif %}
                    {% if event.organizer %}<tr><td class="font-weight-bold pr-4">Organisateur</td><td>{{ event.organizer|capitalize }}</td></tr>{% endif %}
                    {% if event.website %}<tr><td class="font-weight-bold pr-4">Site Web</td><td><a target="_BLANK" href="{{ event.website }}">{{ event.website }}</a></td></tr>{% endif %}
                </table>
                <a class="text-secondary mt-2" href="{{ path('pi_crud_show', {'type': 'event', 'id': event.id, 'slug': event.slug} )}}">Retourner à l'événement</a>
            </div>
        </div>
    </div>

    <div class="row my-4">
        <div class="col-12 col-lg-10 offset-lg-1">
            <h4 class="text-balise">Informations complémentaires sur l'inscription</h4>
            <form name="entry_form" method="POST">
                <div class="form-group">
                    <label>Sélection du circuit</label>
                    <select class="form-control" name="entry_form[circuit]">
                        {% for circuit in event.circuits %}
                            <option value="{{ circuit.id }}" {{ (loop.index0 == 0 ? 'selected')}}>{{ circuit.label }}</option>
                        {% endfor %}
                    </select>
                </div>

                <div class="form-group">
                    <label>Commentaire</label>
                    <textarea class="form-control" name="entry_form[comment]"></textarea>
                </div>

                <div class="py-2">
                    <button class="btn btn-lg btn-primary" type="submit">
                        <i class="fa fa-save"></i> Enregistrer l'inscription
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>
{% endblock %}
